> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Getting list of countries in the world



## OpenAPI

````yaml Country-Data post /listData
openapi: 3.0.1
info:
  title: Countrydata
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/countrydata/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /listData:
    post:
      summary: Getting list of countries in the world
      operationId: postListdata
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Country'
        '500':
          description: Internal server error
          content:
            text/plain:
              schema:
                type: string
components:
  schemas:
    Country:
      required:
        - countryName
        - currency
        - id
        - nationality
        - phone_code
        - three_digit_iso_code
        - two_digit_iso_code
      type: object
      properties:
        id:
          type: integer
          format: int64
        countryName:
          type: string
        nationality:
          type: string
        three_digit_iso_code:
          type: string
        two_digit_iso_code:
          type: string
        currency:
          type: string
        phone_code:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````